Ir al contenido
Documentación de Endless

List canvases

GET
/canvases

Lists the canvases the caller can read.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Query Parameters

organization_id*string
Match^org_
filter?string
Default"all"

Value in

  • "all"
  • "mine"
  • "shared"
search?string
created_by?string
visibility?string
project_ids?string
limit?integer
Range1 <= value <= 100
cursor?string

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/canvases?organization_id=string"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "owner_id": "string",      "organization_id": "string",      "name": "string",      "description": "string",      "emoji": "string",      "color": "string",      "thumbnail_url": "string",      "visibility": "private",      "workspace_role": "viewer",      "last_activity_at": "2019-08-24T14:15:22Z",      "dual_board_id": "string",      "deleted_at": "2019-08-24T14:15:22Z",      "deleted_by_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "shared": true,      "can_edit": true,      "can_delete": true,      "created_by": {        "id": "string",        "first_name": "string",        "last_name": "string",        "email": "string",        "image_url": "string"      }    }  ],  "next_cursor": "string"}